# HasEq\[A: A\]
<span class="source-link">[[Source]](src/builtin/compare.md#L15)</span>
```pony
interface ref HasEq[A: A]
```

## Public Functions

### eq
<span class="source-link">[[Source]](src/builtin/compare.md#L16)</span>


```pony
fun box eq(
  that: box->A)
: Bool val
```
#### Parameters

*   that: box->A

#### Returns

* [Bool](builtin-Bool) val

---

